# Nonparametric Estimation and Comparison of Distance Distributions from Censored Data

## Table of Contents
* [Table of Contents](#table-of-contents)
* [Abstract](#abstract)
* [Installation](#installation)
* [License](#license)


## Abstract

> Transportation distance data is a powerful resource, but granular location records are often censored due to privacy concerns or regulatory mandates. We describe the *transportation event distance distribution reconstruction* problem, which aims to handle this obstacle and has broad application to public health informatics, logistics, and more. We propose numerical methods to approximate, sample from, and compare distributions of distances between censored loscation pairs. We validate empirically on synthetic simulated data and demonstrate applicability to practical geospatial data analysis tasks. Our code is on [GitHub](https://github.com/lmiconsulting/teddr).


## Installation

### From PyPI

```bash
pip install teddr
```

### From GitHub
Clone the repo from [here](https://github.com/lmiconsulting/teddr) (this repo).

Install requirements:
```bash
pip install -r requirements.txt
```

## Citing

If you found our work helpful, please consider citing it with:

```bibtex
@article{mccabe2023nonparametric,
  title={Nonparametric Estimation and Comparison of Distance Distributions from Censored Data},
  author={McCabe, Lucas H},
  journal={arXiv preprint arXiv:2311.02658},
  year={2023}
}
```


## License
[MIT](https://choosealicense.com/licenses/mit/)